jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Estevez (JIRA)" <j...@apache.org>
Subject [jira] [Assigned] (JCLOUDS-1491) Jclouds uses a deprecated version of Guava to support Azure storage.
Date Mon, 06 May 2019 14:27:00 GMT

     [ https://issues.apache.org/jira/browse/JCLOUDS-1491?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Daniel Estevez reassigned JCLOUDS-1491:
---------------------------------------

    Assignee: Daniel Estevez

> Jclouds uses a deprecated version of Guava to support Azure storage.
> --------------------------------------------------------------------
>
>                 Key: JCLOUDS-1491
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-1491
>             Project: jclouds
>          Issue Type: Improvement
>            Reporter: Biswa Ranjan Ray
>            Assignee: Daniel Estevez
>            Priority: Major
>         Attachments: jclouds_issue.txt
>
>
> Hi,
> We are facing an issue while using jclouds library along with Guava to support Azure
storage.
> *Issue:*
> We are using Jclouds 2.1.2 and Guava 27.0.1-jre in our application to work with objectstore
service offered by several cloud providers. These libraries works seamlessly for AWS S3 and
GCS. But in case of azure we get an exception. Please see the attachment for stack trace.
> *Analysis:*
> We found that the issue is there with the below code in DnsValidator class at line 53:
> {code:java}
>       if (CharMatcher.JAVA_LETTER_OR_DIGIT.indexIn(name) != 0)
> {code}
> The above static field is deprecated in Guava 27.0.1-jre. But apparently jclouds library
still refers to a deprecated version of Guava as mentioned in the jclouds doc:
> {quote}Setup your project to include 'guava'. Include following dependency to jclouds
Installation. Update the version mentioned in dependency below to the latest available version.
com.google.guava guava 16.0
> {quote}
> If not the latest at least we would like to use the recent version of Guava. But Guava
16.0 is really old and deprecated as well. Any thoughts are appreciated.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message